%define module_name	pctel
%define module_version	0.9.6
%define module_release	alt17.2

%define kversion	2.4.22
%define krelease	alt2
%define flavour		wks-up

%define base_arch %(echo %{_target_cpu} | sed 's/i.86/i386/;s/athlon/i386/')

%define kgcc		gcc-2.96
%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name


Summary:	drivers for pct789 (PCTel), cm8738, i8xx, sis and via686a modems
Name:		kernel-modules-%{module_name}-%{flavour}
Version:	%{module_version}
Release:	%{module_release}
License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://dri.sourceforge.net/

Patch1:		pctel-0.9.6-alt-intel-82801db.patch

BuildPreReq:    kernel-build-tools
BuildRequires:	%kgcc_package
BuildRequires:	modutils
BuildRequires:	perl
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-%{flavour} = %{kversion}-%{krelease}
BuildRequires:  kernel-source-%{module_name}-%{module_version}

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%{flavour} = %{kversion}-%{krelease}
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%{ix86}

Obsoletes: kernel-modules-%{module_name}-sis-%{flavour}

%description
drivers for pct789 (PCTel), cm8738, i8xx, sis and via686a modems

These are modules for your ALT Linux system.

%prep

rm -rf kernel-source-%{module_name}-%{module_version}

tar -jxvf %{_usrsrc}/kernel/sources/kernel-source-%{module_name}-%{module_version}.tar.bz2

%setup -D -T -n kernel-source-%{module_name}-%{module_version}

%patch1 -p1

%build
build_with_HAL() {
  %configure --with-kernel-includes=%_includedir/linux-%{kversion}-%{flavour}/include --with-hal=$1
  make CC=%kcc
  mv modules/ptserial.o modules/ptserial_$1.o
  mv modules/pctel.o modules/pctel_$1.o
}

for i in pct789 cm8738 i8xx sis via686a; do
#for i in pct789 cm8738 i810intel i810sis via686a; do
#for i in sis; do
    build_with_HAL $i
done

%install
mkdir -p \
    $RPM_BUILD_ROOT/%{module_dir} $RPM_BUILD_ROOT/%{_sysconfdir}
%__install -D -m 644 modules/*.o \
    $RPM_BUILD_ROOT/%{module_dir}
					    
%post
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -F /boot/System.map-%{kversion}-%{flavour}-%{krelease} \
    %{kversion}-%{flavour}-%{krelease}

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.6-alt17.2
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.6-alt16.2
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Fri Oct 24 2003 Sergey Vlasov <vsu@altlinux.ru> 0.9.6-alt15.2
- Added Patch1: pctel-0.9.6-alt-intel-82801db.patch - Intel 82801DB AC'97 Modem
  controller support.

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 0.9.6-alt14.2
- replace /usr/include to _includedir macro
- fixed build requires
- builded drivers for pct789 cm8738 i8xx sis via686a HAL

* Tue Aug 26 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt13
- rebuilt with 2.4.21rel-alt14

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt12
- rebuilt with 2.4.21rel-alt13

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt11
- rebuilt with 2.4.21rel-alt12

* Tue Aug 12 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt10
- rebuilt with 2.4.21rel-alt11

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt9
- rebuilt with 2.4.21rel-alt10

* Thu Aug 07 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt8
- rebuilt with 2.4.21rel-alt9

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt7
- rebuilt with 2.4.21rel-alt8

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt6
- rebuilt with 2.4.21rel-alt7

* Thu Jul 17 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt5
- rebuilt with 2.4.21rel-alt6

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt4
- rebuilt with 2.4.21rel-alt5

* Tue Jul 08 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt3
- added new drivers.

* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt2
- rebuilt with 2.4.21rel alt3.

* Mon Jul 07 2003 Peter Novodvorsky <nidd@altlinux.com> 0.9.6-alt1
- initial release.

